package sample.controller.samplecairngorm
{
	import com.adobe.cairngorm.control.FrontController;
	
	import sample.controller.samplecairngorm.command.*;
	
	/**
	 * イベントマッピングを行うコントローラークラスです。
	 * このクラスでイベントを一元管理しています。
	 */
	public class SamplecairngormController extends FrontController
	{
		/** イベントを一意に識別するためのイベント名称をここで設定します */
		public static const SAMPLECAIRNGORM_BTNHELLOWORLD_CLICK_EVENT:String = "clickBtnHelloWorldEvent";

		/**
		 * コンストラクタです。
		 */
		public function SamplecairngormController():void
		{
			super();
			// addCommandメソッドで一意に指定したイベント識別名とCommandクラスとのマッピングを行います。
			// これによりこの識別イベント名のイベントが発生するとCommandクラスが呼び出されるようになります。
			addCommand(SAMPLECAIRNGORM_BTNHELLOWORLD_CLICK_EVENT,ClickBtnHelloWorldCommand);

		}
	}
}