package sample.view.samplecairngorm.helper
{
	import com.adobe.cairngorm.view.ViewHelper;
	import com.adobe.cairngorm.control.CairngormEventDispatcher;
	
	import flash.events.*;
	
	import sample.controller.samplecairngorm.event.ClickBtnHelloWorldEvent;

	/**
	 * Samplecairngorm画面用のViewHelperです。
	 */
	public class SamplecairngormViewHelper extends ViewHelper
	{
		public function SamplecairngormViewHelper()
		{
			super();
		}
		/**
		 * Samplecairngorm画面のボタンID「btn」というUIコンポーネントの
		 * clickイベントをハンドルするためのメソッドです。
		 */
		public function clickBtnHelloWorld(event:MouseEvent):void
		{
			// ここでは単純にイベントをDispatchしていますが、
			// この中でVaridationを行うこともできます。
			// またViewHelperクラスは「view」というプロパティを持っていて、
			// このViewというプロパティはViewHelperクラスをインスタンス化した際の
			// MXMLのインスタンスを示しています。
			// このプログラムで「View」プロパティが示すMXMLのインスタンスは
			// 「SampleCairngorm.mxml」のインスタンスです。
			// MXMLのインスタンスですので、そのMXMLに書いてあるUIコンポーネントのインスタンスを取得することもできます。
			// 例）
			// SampleCairngorm.mxmlのLabelのインスタンスを取得し、textプロパティを取得したい
			// var str:String = SampleCairngorm(view).lbl.text;
			// こんな風に直接、Viewから値を取得することも可能です。
			CairngormEventDispatcher.getInstance().dispatchEvent(new ClickBtnHelloWorldEvent(new Object()));
		}


	}
	
}